summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZack Middleton <zturtleman@gmail.com>2013-03-12 18:52:36 -0500
committerTim Angus <tim@ngus.net>2013-03-19 16:41:20 +0000
commitbb1aa0f33293103de2729d3328ac37f8fbc8cfb0 (patch)
tree740e70203ae2193052e9c8298e50090e10a35dba
parentd70cc2928f6909e24ed97e0c2f75c89bc4332cd6 (diff)
Disable freetype and vorbis for mingw travis build
Libs are missing.
-rwxr-xr-xbuild-test.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/build-test.sh b/build-test.sh
index 432e9626..98848d28 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -5,15 +5,21 @@ failed=0;
# check if testing mingw
if [ "$CC" = "i686-w64-mingw32-gcc" ]; then
MAKE=./cross-make-mingw.sh
+ haveExternalLibs=0
else
MAKE=make
+ haveExternalLibs=1
fi
# Default Build
($MAKE clean release) || failed=1;
# Test additional options
-($MAKE clean release USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
+if [ $haveExternalLibs -eq 1 ]; then
+ ($MAKE clean release USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
+else
+ ($MAKE clean release CFLAGS=-DRAVENMD4) || failed=1;
+fi
if [ $failed -eq 1 ]; then
echo "Build failure.";